<?php

class PageFieldsController extends EvPageFieldAppController {

    public $translation; // Create a new global var for the translation plugin

    public function beforeFilter()
    {
        parent::beforeFilter();

        $Model = $this->{$this->modelClass};

        if($Model->hasBehaviour('EvTranslation.Translation')) {

            $this->helpers[] = 'EvTranslation.Translation';
            // Load in the EvTranslation component
            $this->translation = $this->Components->load('EvTranslation.Translation');
            $this->translation->init($this->request); // Initialise the translations
        }
    }


    public function _adminPopulateLookups() {

        parent::_adminPopulateLookups();

        $this->loadModel('EvCore.Page');

        $this->set('pages', $this->Page->find('list'));

    }

    public function _adminFormFields() {

        $fields = parent::_adminFormFields();

        unset($fields['PageField.value']);

        return $fields;

    }


}